List Teams

Reference for the GET /console/v1/users/teams endpoint of the Statsig API.

gethttps://statsigapi.net/console/v1/users/teams

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Query parameters

limitinteger

Results per page

Example:10
Constraints:stringnumber
pageinteger

Page number

Example:1
Constraints:stringnumber

Response

application/json
200· Get teams response
messagestringrequired

A simple string explaining the result of the operation.

dataobject[]required
Show child attributes
namestringrequired

The name of the team.

descriptionstring

Description of the team.

idstringrequired

The ID of the team.

defaultGateMetricsobject[]required

Default gate metrics for the team.

namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultExperimentPrimaryMetricsobject[]required

Default primary metrics for experiments in the team.

namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultExperimentSecondaryMetricsobject[]required

Default secondary metrics for experiments in the team.

namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

defaultHoldoutMetricsobject[]required

Default holdout metrics for the team.

namestringrequired

The name of the metric.

typestringrequired

The type of the metric.

changeTeamConfigsstringrequired

Who can change team configurations: "anyone" or "team_only".

Allowed values:anyoneteam_only
reviewApprovalstringrequired

Who can review and approve changes: "anyone", "team_only", or "admin_only".

Allowed values:anyoneteam_onlyadmin_only
defaultTargetApplicationsstring[]required

Default target applications for the team.

defaultHoldoutIDstring

Default holdout ID for the team, if applicable.

Constraints:nullable
requireReviewsboolean

Whether reviews are required for changes, if applicable.

Constraints:nullable
requireGateTemplatesboolean

Whether gate templates are required for the team, if applicable.

Constraints:nullable
requireExperimentTemplatesboolean

Whether experiment templates are required for the team, if applicable.

Constraints:nullable
requireDynamicConfigTemplatesboolean

Whether dynamic config templates are required for the team, if applicable.

Constraints:nullable
paginationobjectrequired

Pagination metadata for checking if there is next page for example.

Show child attributes
itemsPerPagenumberrequired
Constraints:format: double
pageNumbernumberrequired
Constraints:format: double
nextPagestringrequired
Constraints:nullable
previousPagestringrequired
Constraints:nullable
totalItemsnumber
Constraints:format: double
allstring
400· Invalid request. Please check the request input and try again.
statusintegerrequired
Allowed values:400
messagestringrequired
401· This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx
statusintegerrequired
Allowed values:401
messagestringrequired

Was this helpful?